class ElementReferencesQueryBuilder {
  constructor() {
    // General Elements
    this.queryInputField = document.querySelector('#corpus-analysis-concordance-query-builder-input-field');
    this.queryChipElements = [];

    // Structural Attribute Builder Elements
    this.structuralAttrModal = M.Modal.getInstance(document.querySelector('#corpus-analysis-concordance-structural-attr-modal'));
    this.sentenceElement = document.querySelector('[data-structural-attr-modal-action-button="sentence"]');
    this.entityElement = document.querySelector('[data-structural-attr-modal-action-button="entity"]');
    this.textAnnotationElement = document.querySelector('[data-structural-attr-modal-action-button="text-annotation"]');
    this.englishEntTypeSelection = document.querySelector('#corpus-analysis-concordance-english-ent-type-selection');
    this.germanEntTypeSelection = document.querySelector('#corpus-analysis-concordance-german-ent-type-selection');
    this.textAnnotationSelection = document.querySelector('#corpus-analysis-concordance-text-annotation-options');

    // Token Attribute Builder Elements
    this.positionalAttrModal = M.Modal.getInstance(document.querySelector('#corpus-analysis-concordance-positional-attr-modal'));
    this.positionalAttrSelection = document.querySelector('#corpus-analysis-concordance-positional-attr-selection');
    this.tokenQuery = document.querySelector('#corpus-analysis-concordance-token-query');
    this.tokenSubmitButton = document.querySelector('#corpus-analysis-concordance-token-submit');
    this.noValueMessage = document.querySelector('#corpus-analysis-concordance-no-value-message');
    this.isTokenQueryInvalid = false;

    this.wordInput = document.querySelector('#corpus-analysis-concordance-word-input');
    this.lemmaInput = document.querySelector('#corpus-analysis-concordance-lemma-input');
    this.englishPosSelection = document.querySelector('#corpus-analysis-concordance-english-pos-selection');
    this.germanPosSelection = document.querySelector('#corpus-analysis-concordance-german-pos-selection');
    this.simplePosSelection = document.querySelector('#corpus-analysis-concordance-simple-pos-selection');

    this.ignoreCaseCheckbox = document.querySelector('#corpus-analysis-concordance-ignore-case-checkbox');
  }
}
